Query orders
curl --request GET \
--url https://reit.connectors.aicoflow.com/api/orders \
--header 'X-API-Key: <api-key>'import requests
url = "https://reit.connectors.aicoflow.com/api/orders"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://reit.connectors.aicoflow.com/api/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"orders": [
{
"id": 123,
"short_name": "<string>",
"plate": "<string>",
"person": "<string>",
"phone": "<string>",
"email": "<string>",
"damage": "<string>",
"project_status": "<string>",
"station_id": 123,
"station_state": "<string>",
"shop_date": "<string>",
"repair_date": "<string>",
"finish_date": "<string>",
"planned_delivery_date": "<string>",
"parts_status": "<string>",
"missing_parts": 0,
"est_hours_karo": 123,
"est_hours_lack": 123,
"est_hours_mech": 123,
"vin": "<string>",
"kba": "<string>",
"manufacturer_name": "<string>",
"model_name": "<string>",
"sub_model_name": "<string>",
"engine_type": "<string>",
"engine_size": "<string>",
"engine_power": "<string>",
"curb_weight": "<string>",
"gross_weight": "<string>",
"first_registration": "<string>",
"last_registration": "<string>",
"hu_au": "<string>",
"mileage": "<string>",
"engine_code": "<string>",
"country_of_origin": "<string>",
"vehicle_owner": "<string>",
"owner_phone": "<string>",
"owner_address": "<string>",
"appointment_date": "<string>",
"external_calculation": "<string>",
"express_link": "<string>",
"address": "<string>",
"zip_code": "<string>",
"city": "<string>",
"country": "<string>",
"zu_verplanen": 0,
"plate_city": "<string>",
"plate_city_phonetic": "<string>",
"remarks": "<string>",
"total_net_cost": 123,
"total_gross_cost": 123,
"insurance_json": null,
"costs_json": null
}
],
"total": 123,
"limit": 123,
"offset": 123,
"message": ""
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Orders
Query orders
Search and filter orders from the local database.
Available Filters
- text: Free-text search across multiple fields
- plate: Filter by license plate (partial match)
- person: Filter by customer name (partial match)
- phone: Filter by phone number
- email: Filter by email address
- status: Filter by project status
- damage: Filter by damage category
- station: Filter by station ID
- missing_parts: Only show orders with missing parts
- zu_verplanen: Filter by “zu verplanen” status (true=unplanned, false=planned)
- after/before: Filter by shop date range (YYYY-MM-DD)
- finish_after/finish_before: Filter by finish date range
Pagination
Use limit and offset for pagination. Maximum 1000 results per request.
GET
/
api
/
orders
Query orders
Authorizations
Query Parameters
Free-text search query
License plate filter
Person name filter
Phone number filter
Email filter
Project status filter
Damage category filter
Station ID filter
Filter orders with missing parts
Filter by zu verplanen status (true=unplanned, false=planned)
Shop date >= YYYY-MM-DD
Shop date <= YYYY-MM-DD
Finish date >= YYYY-MM-DD
Finish date <= YYYY-MM-DD
Maximum results per page
Required range:
1 <= x <= 1000Number of results to skip
Required range:
x >= 0